data:extend (
 {

 {
    type = "assembling-machine",
    name = "super-press",
    icon = "__mineral-of-fossilized-carbon__/graphics/super-press-item.png",
    flags = {"placeable-neutral","placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "super-press"},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 99
      }
    },
    open_sound = { filename = "__mineral-of-fossilized-carbon__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__mineral-of-fossilized-carbon__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__mineral-of-fossilized-carbon__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__mineral-of-fossilized-carbon__/sound/assembling-machine-t3-1.ogg",
          volume = 0.8
        },
        {
          filename = "__mineral-of-fossilized-carbon__/sound/assembling-machine-t3-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__mineral-of-fossilized-carbon__/sound/idle1.ogg", volume = 0.3 },
      apparent_volume = 1,
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    animation =
    {
      filename = "__mineral-of-fossilized-carbon__/graphics/super-press.png",
      priority = "high",
      width = 142,
      height = 113,
      frame_count = 32,
      line_length = 8,
      shift = {0.84, -0.09}
    },
    crafting_categories = {"pressing",},
    crafting_speed = 0.4,
        energy_source =
    {
      type = "burner",
      effectivity = 0.4,
      fuel_inventory_size = 1,
      emissions = 0.02 / 2,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
		  position = {0.44, 0},
          frequency = 1
        },
      },
    },
    energy_usage = "100kW",
    ingredient_count = 1,
    module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
 },
 
  {
    type = "assembling-machine",
    name = "world-press",
    icon = "__mineral-of-fossilized-carbon__/graphics/world-press-item.png",
    flags = {"placeable-neutral","placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "super-press"},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 99
      }
    },
    open_sound = { filename = "__mineral-of-fossilized-carbon__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__mineral-of-fossilized-carbon__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__mineral-of-fossilized-carbon__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__mineral-of-fossilized-carbon__/sound/assembling-machine-t3-1.ogg",
          volume = 0.8
        },
        {
          filename = "__mineral-of-fossilized-carbon__/sound/assembling-machine-t3-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__mineral-of-fossilized-carbon__/sound/idle1.ogg", volume = 0.3 },
      apparent_volume = 1,
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    animation =
    {
      filename = "__mineral-of-fossilized-carbon__/graphics/world-press.png",
      priority = "high",
      width = 142,
      height = 113,
      frame_count = 32,
      line_length = 8,
      shift = {0.84, -0.09}
    },
    crafting_categories = {"pressing",},
    crafting_speed = 1.2,
        energy_source =
    {
      type = "burner",
      effectivity = 0.5,
      fuel_inventory_size = 2,
      emissions = 0.05 / 2,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
		  position = {0.44, 0},
          frequency = 1
        },
      },
    },
    energy_usage = "600kW",
    ingredient_count = 1,
    module_specification =
    {
      module_slots = 4
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
 },
  
  
{
    type = "assembling-machine",
    name = "peat-press",
    icon = "__mineral-of-fossilized-carbon__/graphics/peat-press-item.png",
    flags = {"placeable-neutral","placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "peat-press"},
    max_health = 300,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture = assembler3pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      {
        production_type = "output",
        pipe_picture = assembler3pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },
      off_when_no_fluid_recipe = true
    },
open_sound = { filename = "__mineral-of-fossilized-carbon__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__mineral-of-fossilized-carbon__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__mineral-of-fossilized-carbon__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__mineral-of-fossilized-carbon__/sound/assembling-machine-t3-1.ogg",
          volume = 0.8
        },
        {
          filename = "__mineral-of-fossilized-carbon__/sound/assembling-machine-t3-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__mineral-of-fossilized-carbon__/sound/idle1.ogg", volume = 0.3 },
      apparent_volume = 1,
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
    animation =
    {
      filename = "__mineral-of-fossilized-carbon__/graphics/peat-press.png",
      priority = "high",
      width = 99,
      height = 102,
      frame_count = 32,
      line_length = 8,
      shift = {0.25, -0.1}
    },
    crafting_categories = {"peating"},
    crafting_speed = 0.8,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.02 / 2
    },
    energy_usage = "100kW",
    ingredient_count = 2,
    module_specification =
    {
      module_slots = 2
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
  }
 }
)